.TH "G4_SENFRAMEDATA" "3" "1" "Polhemus" "Polhemus G4Track Library"
.SH "NAME"
G4_SENFRAMEDATA \- Sensor Position and Orientation Data
.SH "SYNOPSIS"
#include "G4TrackIncl.h"
.br 

typedef struct _G4_SEN_FRAMEDATA {	
.br 
	uint32_t \fIid\fR;
.br 
	float \fIpos\fR[3];
.br 
	float \fIori\fR[4];
.br 
}\fB*LPG4_SENFRAMEDATA,G4_SENFRAMEDATA\fR;
.SH "DESCRIPTION"
This structure is used to receive the position and orientation data from each sensor.  An array of \fBG4_SENFRAMEDATA\fR structures are embedded in the \fBG4_FRAMEDATA\fR structure to return the data for each sensor on the hub.
.SH "STRUCTURE MEMBERS"
\fIid:\fR  The zero\-based sensor number.
.br 

\fIpos:\fR  An array of three floats to hold the x,y, and z data respectively.  The units for these values will be that set by the g4_set_query command.  Default is inches.
.br 

\fIori:\fR  An array of three or four floats to hold the orientation data.  This may be three values if the the library has been configured to return Euler Degrees, or Euler Radians.  These values will be azimuth (yaw), elevation (pitch), and roll respectively.  This array will hold four valid values if the library has been configured to return quaternions.  The default is Euler Degrees.
.SH "AUTHOR"
James C. Farr <jimfarr@polhemus.com>
.SH "SEE ALSO"
\fBg4_init_sys\fR(3), \fBg4_set_query\fR(3), \fBg4_get_frame_data\fR(3), \fBg4_close_tracker\fR(3), \fBG4Track\fR(3), \fBG4_FRAMEDATA\fR(3), \fBG4_CMD_DATA_STRUCT\fR(3), \fBG4_CMD_STRUCT\fR(3), \fBG4_SRC_MAP\fR(3), \fBG4_CMD_BLOCK_STRUCT\fR(3)
